ARG APP_PHP_VERSION=8.0
FROM php:${APP_PHP_VERSION}-fpm-alpine
RUN apk --update --no-cache add git bash libpq postgresql-dev nano nginx
RUN docker-php-ext-configure pgsql
RUN docker-php-ext-install pdo_pgsql
ARG APP_PHP_VERSION=8.0
ARG POSTGRES_USER=symfony
ARG POSTGRES_PASSWORD=symfony
ARG POSTGRES_DB=symfony
ENV POSTGRES_USER=${POSTGRES_USER}
ENV POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
ENV POSTGRES_DB=${POSTGRES_DB}
WORKDIR /srv
COPY --from=composer /usr/bin/composer /usr/bin/composer
COPY composer.* ./
RUN composer install -n --no-scripts
COPY nginx.conf /etc/nginx/nginx.conf
RUN php-fpm -t
COPY bin bin
COPY config config
COPY migrations migrations
COPY public public
COPY src src
COPY templates templates
COPY .env .env
RUN bin/console cache:warmup
RUN bin/console lint:container
COPY entry-point.sh entry-point.sh
CMD ["/bin/sh", "entry-point.sh"]